; generated by PrusaSlicer 2.4.2+win64 on 2022-05-14 at 14:44:37 UTC

; 

; external perimeters extrusion width = 0.45mm
; perimeters extrusion width = 0.45mm
; infill extrusion width = 0.45mm
; solid infill extrusion width = 0.45mm
; top infill extrusion width = 0.40mm
; support material extrusion width = 0.35mm
; first layer extrusion width = 0.42mm

M73 P0 R1
M73 Q0 S1
M201 X1000 Y1000 Z200 E5000 ; sets maximum accelerations, mm/sec^2
M203 X200 Y200 Z12 E120 ; sets maximum feedrates, mm / sec
M204 P1250 R1250 T1250 ; sets acceleration (P, T) and retract acceleration (R), mm/sec^2
M205 X8.00 Y8.00 Z0.40 E4.50 ; sets the jerk limits, mm/sec
M205 S0 T0 ; sets the minimum extruding and travel feed rate, mm/sec
M107
;TYPE:Custom
; Start G-code
; Last updated by TJW on 200816
; PRUSA specific gcodes documentation https://help.prusa3d.com/en/article/prusa-specific-g-codes_112173/
; 03/02/21
;   Updated firmware version to 3.9.3
;   Updated PrusaSlicer to 2.3.0
; 09/06/21
;   Updated firmware version to 3.10.0
;   Updated PrusaSlicer to 2.3.1
; 15/07/21
;   Updated Prusaslicer to 2.3.2
; 20/12/21
;   Updated Prusaslicer to 2.3.3 (actually made this upgrade much earlier)
;   Updated firmware version to 3.10.1
; 14/2/21
;   Changed Z for intro line from 0.15 to 0.2
; 12/05/21
;   Updated firmware version to 3.11.0
;   Modified End G-code
;   Start G-code includes M92 to improve Z-axis accurary

M862.3 P "MK3S" ; printer model check
M862.1 P0.4 ; nozzle diameter check
M115 U3.11.0 ; tell printer latest fw version

M300 S40 P10 ; chirp
M117 Initialising Printer.

; Set cordinate modes
G90 ; use absolute coordinates
M83 ; extruder relative mode


; **** Start of TJW code ********************************
; Reset speed, extrusion rates, and temperatures
M200 D0 ; disable volumentric e
M220 S100 ; reset speed
M104 S0 ; Nozzle temperature
M140 S0 ; Bed temperature

; Set Z-axis scaling
;M92 Z398 ; Default is 400

; Home
M117 Homing
G28 W ; home all without mesh bed level

; Position for nozzle and bed for cleaning during warm up
M300 S40 P10 ; chirp
M117 Clean print bed
G0 X60 Y200 Z170 F10200 ;
M601 ; 
M117 Clean print bed then click resume

; Warm up
M117 Resuming
M140 S85 ; set bed temp
; M104 S210 ; set extruder temp.  TJW If PETG reduce temp. to minimise leakage.
M104 S210 ; set extruder temp.  TJW If PETG reduce temp. to minimise leakage.

M117 Clean nozzle
M109  ; wait for extruder temp
M300 S40 P10 ; chirp

M190  ; wait for bed temp

; Zero and Mesh Levelling
G28 W ; home all without mesh bed level
M117 Mesh bed levelling
G80 N7 ; mesh bed leveling: N7 => 49 mesh points.
G81; check mesh leveling results

; Final Warm Up
M117 Final warm up
G0 Z5; Raise nozzle to avoid denting bed while nozzle heats

; **** End of TJW code ********************************

M104 S240 ; set extruder temp
M140 S85 ; set bed temp
M190 S85 ; wait for bed temp
M109 S240 ; wait for extruder temp

G0 Z0.20 F720; Lower nozzle again

; **** Commented out default code as levelling already done ******
;G28 W ; home all without mesh bed level
;G80 ; mesh bed leveling

G1 Y-3.0 F1000.0 ; go outside print area
G92 E0.0
G1 X60.0 E9.0 F1000.0 ; intro line
M73 P12 R1
M73 Q12 S1
G1 X100.0 E12.5 F1000.0 ; intro line
G92 E0.0

G0 Z5; TJW: Raise nozzle

M221 S95

; Don't change E values below. Excessive value can damage the printer.
M907 E430 ; set extruder motor current
G21 ; set units to millimeters
G90 ; use absolute coordinates
M83 ; use relative distances for extrusion
M900 K0.08 ; Filament gcode LA 1.5
M900 K45 ; Filament gcode LA 1.0
M107
;LAYER_CHANGE
;Z:0.2
;HEIGHT:0.2
;BEFORE_LAYER_CHANGE
G92 E0.0
; New Layer height: 0.2


M73 P25 R1
M73 Q25 S1
G1 E-1 F2100
G1 Z.2 F10800
;AFTER_LAYER_CHANGE
;Layer height: 0.2
;Layer number: 0

M73 P26 R1
M73 Q26 S1
G1 Z.4
G1 X97.139 Y93.583
M73 P29 R1
M73 Q29 S1
G1 Z.2
M73 P31 R1
M73 Q31 S1
G1 E1 F2100
M204 S1000
;TYPE:Skirt/Brim
;WIDTH:0.42
M73 P32 R1
M73 Q32 S1
G1 F1200
G1 X98.205 Y92.569 E.04612
G1 X99.5 Y92.246 E.04186
G1 X119.5 Y92.246 E.62709
M73 P33 R1
M73 Q33 S1
G1 X120.917 Y92.639 E.04612
G1 X121.931 Y93.705 E.04612
G1 X122.254 Y95 E.04186
G1 X122.254 Y115 E.62709
G1 X121.861 Y116.417 E.04612
G1 X120.795 Y117.431 E.04612
M73 P34 R1
M73 Q34 S1
G1 X119.5 Y117.754 E.04186
G1 X99.5 Y117.754 E.62709
G1 X98.083 Y117.361 E.04612
G1 X97.069 Y116.295 E.04612
M73 P35 R1
M73 Q35 S1
G1 X96.746 Y115 E.04186
G1 X96.746 Y95 E.62709
G1 X97.123 Y93.64 E.04424
M73 Q36 S1
G1 X97.497 Y93.752 F10800
M73 P36 R1
G1 F1200
G1 X97.515 Y93.693 E.00195
M73 Q37 S1
G1 X98.56 Y92.817 E.04278
G1 X99.5 Y92.623 E.03008
M73 P37 R1
M73 Q38 S1
G1 X119.5 Y92.623 E.62709
G1 X120.807 Y93.015 E.04278
G1 X121.683 Y94.06 E.04278
G1 X121.877 Y95 E.03008
G1 X121.877 Y115 E.62709
G1 X121.485 Y116.307 E.04278
M73 P38 R1
G1 X120.44 Y117.183 E.04278
M73 Q39 S1
G1 X119.5 Y117.377 E.03008
G1 X99.5 Y117.377 E.62709
M73 P39 R1
G1 X98.193 Y116.985 E.04278
G1 X97.317 Y115.94 E.04278
M73 Q40 S1
G1 X97.123 Y115 E.03008
M73 P40 R1
G1 X97.123 Y95 E.62709
G1 X97.479 Y93.81 E.03895
; printing object Shape-Box id:0 copy 0
;WIPE_START
G1 F8640
M73 P41 R1
M73 Q41 S1
G1 X97.515 Y93.693 E-.0282
G1 X98.56 Y92.817 E-.31505
G1 X99.5 Y92.623 E-.22155
G1 X101.168 Y92.623 E-.3852
;WIPE_END
M73 P42 R1
M73 Q42 S1
G1 E-.05 F2100
G1 Z.4 F10800
G1 X100.287 Y95.787
G1 Z.2
G1 E1 F2100
;TYPE:Perimeter
G1 F1200
G1 X118.713 Y95.787 E.57773
G1 X118.713 Y114.213 E.57773
G1 X100.287 Y114.213 E.57773
G1 X100.287 Y95.847 E.57585
G1 X99.91 Y95.41 F10800
;TYPE:External perimeter
G1 F1200
G1 X119.09 Y95.41 E.60138
M73 P43 R1
M73 Q43 S1
G1 X119.09 Y114.59 E.60138
M73 P44 R1
M73 Q44 S1
G1 X99.91 Y114.59 E.60138
M73 P45 R1
M73 Q45 S1
G1 X99.91 Y95.47 E.59949
M73 Q46 S1
G1 X100.296 Y95.514 F10800
;WIPE_START
G1 F8640
G1 X104.024 Y95.457 E-.95
;WIPE_END
M73 P46 R0
M73 Q46 S0
G1 E-.05 F2100
M73 P47 R0
M73 Q47 S0
G1 Z.4 F10800
M73 P48 R0
M73 Q48 S0
G1 X117.833 Y95.9
M73 P49 R0
M73 Q49 S0
G1 Z.2
G1 E1 F2100
;TYPE:Solid infill
;WIDTH:0.422206
G1 F1200
G1 X118.43 Y96.497 E.02664
G1 X118.43 Y97.034 E.01692
G1 X117.466 Y96.07 E.04299
G1 X116.93 Y96.07 E.01692
G1 X118.43 Y97.57 E.06692
G1 X118.43 Y98.107 E.01692
G1 X116.393 Y96.07 E.09084
G1 X115.857 Y96.07 E.01692
M73 Q50 S0
G1 X118.43 Y98.643 E.11477
G1 X118.43 Y99.179 E.01692
G1 X115.321 Y96.07 E.13869
M73 P50 R0
G1 X114.784 Y96.07 E.01692
G1 X118.43 Y99.716 E.16261
G1 X118.43 Y100.252 E.01692
G1 X114.248 Y96.07 E.18654
G1 X113.711 Y96.07 E.01692
G1 X118.43 Y100.789 E.21046
G1 X118.43 Y101.325 E.01692
G1 X113.175 Y96.07 E.23438
M73 Q51 S0
G1 X112.639 Y96.07 E.01692
G1 X118.43 Y101.861 E.25831
M73 P51 R0
G1 X118.43 Y102.398 E.01692
G1 X112.102 Y96.07 E.28223
G1 X111.566 Y96.07 E.01692
G1 X118.43 Y102.934 E.30615
M73 Q52 S0
G1 X118.43 Y103.471 E.01692
G1 X111.029 Y96.07 E.33008
M73 P52 R0
G1 X110.493 Y96.07 E.01692
G1 X118.43 Y104.007 E.354
G1 X118.43 Y104.543 E.01692
G1 X109.957 Y96.07 E.37793
M73 P53 R0
M73 Q53 S0
G1 X109.42 Y96.07 E.01692
G1 X118.43 Y105.08 E.40185
G1 X118.43 Y105.616 E.01692
G1 X108.884 Y96.07 E.42577
M73 P54 R0
M73 Q54 S0
G1 X108.347 Y96.07 E.01692
G1 X118.43 Y106.153 E.4497
G1 X118.43 Y106.689 E.01692
G1 X107.811 Y96.07 E.47362
M73 P55 R0
M73 Q55 S0
G1 X107.275 Y96.07 E.01692
G1 X118.43 Y107.225 E.49754
M73 P56 R0
M73 Q56 S0
G1 X118.43 Y107.762 E.01692
G1 X106.738 Y96.07 E.52147
G1 X106.202 Y96.07 E.01692
G1 X118.43 Y108.298 E.54539
M73 P57 R0
M73 Q57 S0
G1 X118.43 Y108.834 E.01692
G1 X105.666 Y96.07 E.56931
M73 P58 R0
M73 Q58 S0
G1 X105.129 Y96.07 E.01692
G1 X118.43 Y109.371 E.59324
M73 Q59 S0
G1 X118.43 Y109.907 E.01692
G1 X104.593 Y96.07 E.61716
M73 P59 R0
G1 X104.056 Y96.07 E.01692
G1 X118.43 Y110.444 E.64109
M73 P60 R0
M73 Q60 S0
G1 X118.43 Y110.98 E.01692
G1 X103.52 Y96.07 E.66501
M73 P61 R0
M73 Q61 S0
G1 X102.984 Y96.07 E.01692
G1 X118.43 Y111.516 E.68893
M73 P62 R0
M73 Q62 S0
G1 X118.43 Y112.053 E.01692
G1 X102.447 Y96.07 E.71286
M73 P63 R0
M73 Q63 S0
G1 X101.911 Y96.07 E.01692
G1 X118.43 Y112.589 E.73678
M73 P64 R0
M73 Q64 S0
G1 X118.43 Y113.126 E.01692
G1 X101.374 Y96.07 E.7607
M73 P65 R0
M73 Q65 S0
G1 X100.838 Y96.07 E.01692
G1 X118.43 Y113.662 E.78463
M73 P66 R0
M73 Q66 S0
G1 X118.43 Y113.93 E.00846
G1 X118.162 Y113.93 E.00846
M73 P67 R0
M73 Q67 S0
G1 X100.57 Y96.338 E.78462
G1 X100.57 Y96.875 E.01692
M73 P68 R0
M73 Q68 S0
G1 X117.625 Y113.93 E.7607
G1 X117.089 Y113.93 E.01692
M73 P69 R0
M73 Q69 S0
G1 X100.57 Y97.411 E.73678
G1 X100.57 Y97.947 E.01692
G1 X116.553 Y113.93 E.71285
M73 P70 R0
M73 Q70 S0
G1 X116.016 Y113.93 E.01692
G1 X100.57 Y98.484 E.68893
M73 P71 R0
M73 Q72 S0
G1 X100.57 Y99.02 E.01692
M73 P72 R0
G1 X115.48 Y113.93 E.665
M73 P73 R0
M73 Q73 S0
G1 X114.944 Y113.93 E.01692
G1 X100.57 Y99.556 E.64108
M73 P74 R0
M73 Q74 S0
G1 X100.57 Y100.093 E.01692
G1 X114.407 Y113.93 E.61716
M73 P75 R0
M73 Q75 S0
G1 X113.871 Y113.93 E.01692
G1 X100.57 Y100.629 E.59323
M73 P76 R0
M73 Q76 S0
G1 X100.57 Y101.166 E.01692
G1 X113.334 Y113.93 E.56931
M73 P77 R0
M73 Q77 S0
G1 X112.798 Y113.93 E.01692
G1 X100.57 Y101.702 E.54539
M73 Q78 S0
G1 X100.57 Y102.238 E.01692
G1 X112.262 Y113.93 E.52146
M73 P78 R0
G1 X111.725 Y113.93 E.01692
G1 X100.57 Y102.775 E.49754
M73 P79 R0
M73 Q79 S0
G1 X100.57 Y103.311 E.01692
G1 X111.189 Y113.93 E.47362
M73 P80 R0
M73 Q80 S0
G1 X110.652 Y113.93 E.01692
G1 X100.57 Y103.848 E.44969
M73 P81 R0
M73 Q81 S0
G1 X100.57 Y104.384 E.01692
G1 X110.116 Y113.93 E.42577
M73 Q82 S0
G1 X109.58 Y113.93 E.01692
M73 P82 R0
G1 X100.57 Y104.92 E.40184
G1 X100.57 Y105.457 E.01692
G1 X109.043 Y113.93 E.37792
M73 P83 R0
M73 Q83 S0
G1 X108.507 Y113.93 E.01692
G1 X100.57 Y105.993 E.354
M73 P84 R0
M73 Q84 S0
G1 X100.57 Y106.53 E.01692
G1 X107.97 Y113.93 E.33007
G1 X107.434 Y113.93 E.01692
G1 X100.57 Y107.066 E.30615
M73 P85 R0
M73 Q85 S0
G1 X100.57 Y107.602 E.01692
G1 X106.898 Y113.93 E.28223
G1 X106.361 Y113.93 E.01692
G1 X100.57 Y108.139 E.2583
M73 P86 R0
M73 Q86 S0
G1 X100.57 Y108.675 E.01692
G1 X105.825 Y113.93 E.23438
G1 X105.288 Y113.93 E.01692
G1 X100.57 Y109.212 E.21046
M73 P87 R0
M73 Q87 S0
G1 X100.57 Y109.748 E.01692
G1 X104.752 Y113.93 E.18653
G1 X104.216 Y113.93 E.01692
G1 X100.57 Y110.284 E.16261
G1 X100.57 Y110.821 E.01692
G1 X103.679 Y113.93 E.13868
M73 P88 R0
M73 Q88 S0
G1 X103.143 Y113.93 E.01692
G1 X100.57 Y111.357 E.11476
G1 X100.57 Y111.893 E.01692
G1 X102.607 Y113.93 E.09084
G1 X102.07 Y113.93 E.01692
G1 X100.57 Y112.43 E.06691
M73 P89 R0
M73 Q89 S0
G1 X100.57 Y112.966 E.01692
G1 X101.534 Y113.93 E.04299
G1 X100.997 Y113.93 E.01692
G1 X100.4 Y113.333 E.02663
; stop printing object Shape-Box id:0 copy 0
;WIPE_START
G1 F8640;_WIPE
G1 X100.997 Y113.93 E-.195
G1 F8640;_WIPE
G1 X101.534 Y113.93 E-.12385
G1 F8640;_WIPE
G1 X100.57 Y112.966 E-.31475
G1 F8640;_WIPE
G1 X100.57 Y112.43 E-.12385
G1 F8640;_WIPE
G1 X101.16 Y113.02 E-.19254
;WIPE_END
G1 E-.05 F2100
G1 Z.4 F10800
M107
;TYPE:Custom
; Filament-specific end gcode
; ---- Start TJW End G-code ----

G4 ; wait
M117 Printing complete
G4 ; wait

; Avoid stringing
G92 E0; prepare to retract
G1 E-0.8 F3000; retract filament slightly to prevent stringing
G91 ; use relative coordinates
G1 X-0.5 Y-0.5 F1200 ; give a little wriggle
G1 X1 Y1 F1200

; Position bed
G90 ; use absolute coordinates
; G1 Z30.2 ; Move print head up
G1 Z100.2 ; Move print head up
G1 X0 Y200 F3000 ; home X axis

; Reset print setting overrides
M221 S100 ; reset flow (extruder factor)
M900 K0 ; reset LA (Linear Acceleration)
M907 E538 ; reset extruder motor current

; Shut down printer
M104 S0 ; turn off nozzle heater
M140 S0 ; turn off heatbed
M107 ; turn off fan
M84 ; disable motors
M300 S40 P10; chirp

M400 ; wait for movement buffer to empty (same as G4 with no params)
M603 ; Stop print

; ---- End TJW End G-code ----
M73 P100 R0
M73 Q100 S0
; filament used [mm] = 38.36
; filament used [cm3] = 0.09
; filament used [g] = 0.12
; filament cost = 0.00
; total filament used [g] = 0.12
; total filament cost = 0.00
; estimated printing time (normal mode) = 1m 51s
; estimated printing time (silent mode) = 1m 52s

; prusaslicer_config = begin
; avoid_crossing_perimeters = 0
; avoid_crossing_perimeters_max_detour = 0
; bed_custom_model = 
; bed_custom_texture = 
; bed_shape = 0x0,250x0,250x210,0x210
; bed_temperature = 90
; before_layer_gcode = ;BEFORE_LAYER_CHANGE\nG92 E0.0\n; New Layer height: [layer_z]\n\n
; between_objects_gcode = 
; bottom_fill_pattern = monotonic
; bottom_solid_layers = 4
; bottom_solid_min_thickness = 0.5
; bridge_acceleration = 1000
; bridge_angle = 0
; bridge_fan_speed = 50
; bridge_flow_ratio = 0.95
; bridge_speed = 30
; brim_separation = 0
; brim_type = outer_only
; brim_width = 0
; clip_multipart_objects = 1
; color_change_gcode = M600\nG1 E0.4 F1500 ; prime after color change
; compatible_printers_condition_cummulative = "printer_notes=~/.*PRINTER_VENDOR_PRUSA3D.*/ and printer_notes=~/.*PRINTER_MODEL_MK3.*/ and nozzle_diameter[0]==0.4";"nozzle_diameter[0]!=0.8 and nozzle_diameter[0]!=0.6 and printer_model!=\"MK2SMM\" and printer_model!=\"MINI\" and ! (printer_notes=~/.*PRINTER_VENDOR_PRUSA3D.*/ and printer_notes=~/.*PRINTER_MODEL_MK(2.5|3).*/ and single_extruder_multi_material)"
; complete_objects = 0
; cooling = 1
; cooling_tube_length = 5
; cooling_tube_retraction = 91.5
; default_acceleration = 1000
; default_filament_profile = "Prusament PLA"
; default_print_profile = 0.15mm QUALITY @MK3
; deretract_speed = 0
; disable_fan_first_layers = 3
; dont_support_bridges = 1
; draft_shield = disabled
; duplicate_distance = 6
; elefant_foot_compensation = 0.2
; end_filament_gcode = "; Filament-specific end gcode"
; end_gcode = ; ---- Start TJW End G-code ----\n\nG4 ; wait\nM117 Printing complete\nG4 ; wait\n\n; Avoid stringing\nG92 E0; prepare to retract\nG1 E-0.8 F3000; retract filament slightly to prevent stringing\nG91 ; use relative coordinates\nG1 X-0.5 Y-0.5 F1200 ; give a little wriggle\nG1 X1 Y1 F1200\n\n; Position bed\nG90 ; use absolute coordinates\n; {if max_layer_z < max_print_height}G1 Z{z_offset+min(max_layer_z+30, max_print_height)}{endif} ; Move print head up\n{if max_layer_z < max_print_height}G1 Z{z_offset+min(max_layer_z+100, max_print_height)}{endif} ; Move print head up\nG1 X0 Y200 F3000 ; home X axis\n\n; Reset print setting overrides\nM221 S100 ; reset flow (extruder factor)\nM900 K0 ; reset LA (Linear Acceleration)\n{if print_settings_id=~/.*(DETAIL @MK3|QUALITY @MK3|@0.25 nozzle MK3).*/}M907 E538 ; reset extruder motor current{endif}\n\n; Shut down printer\nM104 S0 ; turn off nozzle heater\nM140 S0 ; turn off heatbed\nM107 ; turn off fan\nM84 ; disable motors\nM300 S40 P10; chirp\n\nM400 ; wait for movement buffer to empty (same as G4 with no params)\nM603 ; Stop print\n\n; ---- End TJW End G-code ----
; ensure_vertical_shell_thickness = 1
; external_perimeter_extrusion_width = 0.45
; external_perimeter_speed = 25
; external_perimeters_first = 0
; extra_loading_move = -2
; extra_perimeters = 1
; extruder_clearance_height = 20
; extruder_clearance_radius = 45
; extruder_colour = ""
; extruder_offset = 0x0
; extrusion_axis = E
; extrusion_multiplier = 1
; extrusion_width = 0.45
; fan_always_on = 1
; fan_below_layer_time = 20
; filament_colour = #FF8000
; filament_cooling_final_speed = 3.4
; filament_cooling_initial_speed = 2.2
; filament_cooling_moves = 4
; filament_cost = 36.29
; filament_density = 1.27
; filament_diameter = 1.75
; filament_load_time = 0
; filament_loading_speed = 28
; filament_loading_speed_start = 3
; filament_max_volumetric_speed = 8
; filament_minimal_purge_on_wipe_tower = 15
; filament_notes = ""
; filament_ramming_parameters = "120 100 6.6 6.8 7.2 7.6 7.9 8.2 8.7 9.4 9.9 10.0| 0.05 6.6 0.45 6.8 0.95 7.8 1.45 8.3 1.95 9.7 2.45 10 2.95 7.6 3.45 7.6 3.95 7.6 4.45 7.6 4.95 7.6"
; filament_retract_length = 1
; filament_retract_lift = 0.2
; filament_settings_id = "Prusament PETG"
; filament_soluble = 0
; filament_spool_weight = 201
; filament_toolchange_delay = 0
; filament_type = PETG
; filament_unload_time = 0
; filament_unloading_speed = 90
; filament_unloading_speed_start = 100
; filament_vendor = Prusa Polymers
; fill_angle = 45
; fill_density = 30%
; fill_pattern = gyroid
; first_layer_acceleration = 1000
; first_layer_acceleration_over_raft = 0
; first_layer_bed_temperature = 85
; first_layer_extrusion_width = 0.42
; first_layer_height = 0.2
; first_layer_speed = 20
; first_layer_speed_over_raft = 30
; first_layer_temperature = 240
; full_fan_speed_layer = 5
; fuzzy_skin = none
; fuzzy_skin_point_dist = 0.8
; fuzzy_skin_thickness = 0.3
; gap_fill_enabled = 1
; gap_fill_speed = 40
; gcode_comments = 0
; gcode_flavor = marlin
; gcode_label_objects = 1
; gcode_resolution = 0.0125
; gcode_substitutions = 
; high_current_on_filament_swap = 0
; host_type = octoprint
; infill_acceleration = 1000
; infill_anchor = 2.5
; infill_anchor_max = 12
; infill_every_layers = 1
; infill_extruder = 1
; infill_extrusion_width = 0.45
; infill_first = 0
; infill_only_where_needed = 0
; infill_overlap = 25%
; infill_speed = 80
; inherits_cummulative = "0.20mm QUALITY @MK3";;"Original Prusa i3 MK3S & MK3S+"
; interface_shells = 0
; ironing = 0
; ironing_flowrate = 15%
; ironing_spacing = 0.1
; ironing_speed = 15
; ironing_type = top
; layer_gcode = ;AFTER_LAYER_CHANGE\n;Layer height: [layer_z]\n;Layer number: [layer_num]\n
; layer_height = 0.2
; machine_limits_usage = emit_to_gcode
; machine_max_acceleration_e = 5000,5000
; machine_max_acceleration_extruding = 1250,1250
; machine_max_acceleration_retracting = 1250,1250
; machine_max_acceleration_travel = 1500,1250
; machine_max_acceleration_x = 1000,960
; machine_max_acceleration_y = 1000,960
; machine_max_acceleration_z = 200,200
; machine_max_feedrate_e = 120,120
; machine_max_feedrate_x = 200,100
; machine_max_feedrate_y = 200,100
; machine_max_feedrate_z = 12,12
; machine_max_jerk_e = 4.5,4.5
; machine_max_jerk_x = 8,8
; machine_max_jerk_y = 8,8
; machine_max_jerk_z = 0.4,0.4
; machine_min_extruding_rate = 0,0
; machine_min_travel_rate = 0,0
; max_fan_speed = 50
; max_layer_height = 0.25
; max_print_height = 210
; max_print_speed = 200
; max_volumetric_speed = 0
; min_fan_speed = 30
; min_layer_height = 0.1
; min_print_speed = 15
; min_skirt_length = 4
; mmu_segmented_region_max_width = 0
; notes = 
; nozzle_diameter = 0.4
; only_retract_when_crossing_perimeters = 0
; ooze_prevention = 0
; output_filename_format = {input_filename_base}_{layer_height}mm_{filament_type[0]}_{printer_model}_{print_time}.gcode
; overhangs = 1
; parking_pos_retraction = 92
; pause_print_gcode = M601
; perimeter_acceleration = 800
; perimeter_extruder = 1
; perimeter_extrusion_width = 0.45
; perimeter_speed = 45
; perimeters = 2
; physical_printer_settings_id = P1
; post_process = 
; print_settings_id = 0.20mm QUALITY @MK3 - TJW_211226
; printer_model = MK3S
; printer_notes = Don't remove the following keywords! These keywords are used in the "compatible printer" condition of the print and filament profiles to link the particular print and filament profiles to this printer profile.\nPRINTER_VENDOR_PRUSA3D\nPRINTER_MODEL_MK3\n\nUseful web links for gcode:\n------------------------------\nhttps://marlinfw.org/docs/gcode/G000-G001.html\nhttps://help.prusa3d.com/en/article/prusa-specific-g-codes_112173\n\n15/11/20: TJW\nScaled Z to 99% in Start G-Code\n\nTJW:\nChanged custom G-code:\nfrom:\n{if layer_z < max_print_height}G1 Z{z_offset+min(layer_z+30, max_print_height)}{endif} ; Move print head up\nto:\n{if layer_z < max_print_height}G1 Z{z_offset+min(layer_z+100, max_print_height)}{endif} ; Move print head up\n\nUpdated:\n----------\n\n2020/04/04\n\n* Added link to online documentation of PRUSA gcodes in Start G-code section.\n\nCode for inserting magnets, nuts ...:\n-------------------------------------\nhttps://forum.prusaprinters.org/forum/original-prusa-i3-mk2-s-others-archive/pause-print-in-gcode/\nMethod 2 is the preferred option.\n\nMethod 1:\nAdd this to "After layer change gcode":\nDuplicate and change if statement as appropriate\n\n{if layer_z=4.74}; Pause to insert objects\nM400 ; wait for movement buffer to empty\nM300 ; beep\nM104 S0; Turn off extruder heater to avoid too much oozing\n; code snippet originally Prusa forums joantabb here:  https://forum.prusaprinters.org/forum/original-prusa-i3-mk2-s-others-archive/pause-print-in-gcode/#post-125758 \n; https://help.prusa3d.com/en/article/insert-pause-or-custom-g-code-at-layer_120490/\nG1 X10.000 Y200.000 E0; parking position GET THE PRUSA TO STICK IT'S TONGUE OUT! (edited to revise Y coordinate)\nM400; wait for bed to stop moving\nM300; beep again\nM84; disable motors (may not be necessary)\nM0; user stop\nG28 X Y; Home X and Y (only) to correct for accidentally moved bed or extruder (it is assumed Z didn't move because that is a harder axis to manually move).\nM109 S[temperature]; return nozzle to printing temperature\n{endif}\n\nMethod 2:\nUse "Add custom gcode" in slicer and add: \n\nG1 X10.000 Y210.000 E0; parking position\nM17; turn on steppers (prevent moving)\nM300 S2500 P1000; beep\nM117 PAUSED; write message\n; Don't know which to use:\n;    M1;   Octoprint suppresses this command but does not send further commands until resume is pressed.  Stops in the right place with HEATERS KEPT ON.\n;   M601 stops in the wrong place but can be resumed from the LCD control panel. HEATERS KEPT ON?\nM1; \nM105; return to current temp\nG28 X Y; home X and Y (just to be sure)\n\nMethod 3 ( or 2+ ):\n\n; Custom gcode to add magnets etc.\nM400 ; wait for movement buffer to empty\nG1 X10.000 Y200.000 E0; parking position\nM400 ; wait for movement buffer to empty\nM17; turn on steppers (prevent moving)\nM300 S2500 P1000; beep\n;M117 PAUSED; write message\n; Don't know which to use:\n;    M1;   Octoprint suppresses this command but does not send further commands until resume is pressed.  Stops in the right place with HEATERS KEPT ON.\n;   M601 stops in the wrong place but can be resumed from the LCD control panel. HEATERS KEPT ON?\nM1 "PAUSED. CLICK TO CONTINUE"; \nM105; return to current temp\nM109; Wait for extruder temperature\nM190; Wait for bed temperature\nG28 X Y; home X and Y (just to be sure)\n
; printer_settings_id = Original Prusa i3 MK3S & MK3S+ TJW_28
; printer_technology = FFF
; printer_variant = 0.4
; printer_vendor = 
; raft_contact_distance = 0.2
; raft_expansion = 1.5
; raft_first_layer_density = 90%
; raft_first_layer_expansion = 3
; raft_layers = 0
; remaining_times = 1
; resolution = 0
; retract_before_travel = 1
; retract_before_wipe = 0%
; retract_layer_change = 1
; retract_length = 0.8
; retract_length_toolchange = 4
; retract_lift = 0.4
; retract_lift_above = 0
; retract_lift_below = 209
; retract_restart_extra = 0
; retract_restart_extra_toolchange = 0
; retract_speed = 35
; seam_position = nearest
; silent_mode = 1
; single_extruder_multi_material = 0
; single_extruder_multi_material_priming = 0
; skirt_distance = 2
; skirt_height = 3
; skirts = 1
; slice_closing_radius = 0.049
; slicing_mode = regular
; slowdown_below_layer_time = 15
; small_perimeter_speed = 25
; solid_infill_below_area = 0
; solid_infill_every_layers = 0
; solid_infill_extruder = 1
; solid_infill_extrusion_width = 0.45
; solid_infill_speed = 80
; spiral_vase = 0
; standby_temperature_delta = -5
; start_filament_gcode = "M900 K{if printer_notes=~/.*PRINTER_MODEL_MINI.*/ and nozzle_diameter[0]==0.6}0.12{elsif printer_notes=~/.*PRINTER_MODEL_MINI.*/ and nozzle_diameter[0]==0.8}0.06{elsif printer_notes=~/.*PRINTER_MODEL_MINI.*/}0.2{elsif nozzle_diameter[0]==0.8}0.02{elsif nozzle_diameter[0]==0.6}0.04{else}0.08{endif} ; Filament gcode LA 1.5\n{if printer_notes=~/.*PRINTER_MODEL_MINI.*/};{elsif printer_notes=~/.*PRINTER_HAS_BOWDEN.*/}M900 K200{elsif nozzle_diameter[0]==0.6}M900 K24{elsif nozzle_diameter[0]==0.8};{else}M900 K45{endif} ; Filament gcode LA 1.0"
; start_gcode = ; Start G-code\n; Last updated by TJW on 200816\n; PRUSA specific gcodes documentation https://help.prusa3d.com/en/article/prusa-specific-g-codes_112173/\n; 03/02/21\n;   Updated firmware version to 3.9.3\n;   Updated PrusaSlicer to 2.3.0\n; 09/06/21\n;   Updated firmware version to 3.10.0\n;   Updated PrusaSlicer to 2.3.1\n; 15/07/21\n;   Updated Prusaslicer to 2.3.2\n; 20/12/21\n;   Updated Prusaslicer to 2.3.3 (actually made this upgrade much earlier)\n;   Updated firmware version to 3.10.1\n; 14/2/21\n;   Changed Z for intro line from 0.15 to 0.2\n; 12/05/21\n;   Updated firmware version to 3.11.0\n;   Modified End G-code\n;   Start G-code includes M92 to improve Z-axis accurary\n\nM862.3 P "[printer_model]" ; printer model check\nM862.1 P[nozzle_diameter] ; nozzle diameter check\nM115 U3.11.0 ; tell printer latest fw version\n\nM300 S40 P10 ; chirp\nM117 Initialising Printer.\n\n; Set cordinate modes\nG90 ; use absolute coordinates\nM83 ; extruder relative mode\n\n\n; **** Start of TJW code ********************************\n; Reset speed, extrusion rates, and temperatures\nM200 D0 ; disable volumentric e\nM220 S100 ; reset speed\nM104 S0 ; Nozzle temperature\nM140 S0 ; Bed temperature\n\n; Set Z-axis scaling\n;M92 Z398 ; Default is 400\n\n; Home\nM117 Homing\nG28 W ; home all without mesh bed level\n\n; Position for nozzle and bed for cleaning during warm up\nM300 S40 P10 ; chirp\nM117 Clean print bed\nG0 X60 Y200 Z170 F10200 ;\nM601 ; \nM117 Clean print bed then click resume\n\n; Warm up\nM117 Resuming\nM140 S[first_layer_bed_temperature] ; set bed temp\n; M104 S{if first_layer_temperature[0]>220}{first_layer_temperature[0]-30}{else}[first_layer_temperature]{endif} ; set extruder temp.  TJW If PETG reduce temp. to minimise leakage.\nM104 S{if first_layer_temperature[0]>220}{first_layer_temperature[0]-30}{else}{first_layer_temperature[0]}{endif} ; set extruder temp.  TJW If PETG reduce temp. to minimise leakage.\n\nM117 Clean nozzle\nM109  ; wait for extruder temp\nM300 S40 P10 ; chirp\n\nM190  ; wait for bed temp\n\n; Zero and Mesh Levelling\nG28 W ; home all without mesh bed level\nM117 Mesh bed levelling\nG80 N7 ; mesh bed leveling: N7 => 49 mesh points.\nG81; check mesh leveling results\n\n; Final Warm Up\nM117 Final warm up\nG0 Z5; Raise nozzle to avoid denting bed while nozzle heats\n\n; **** End of TJW code ********************************\n\nM104 S[first_layer_temperature] ; set extruder temp\nM140 S[first_layer_bed_temperature] ; set bed temp\nM190 S[first_layer_bed_temperature] ; wait for bed temp\nM109 S[first_layer_temperature] ; wait for extruder temp\n\nG0 Z0.20 F720; Lower nozzle again\n\n; **** Commented out default code as levelling already done ******\n;G28 W ; home all without mesh bed level\n;G80 ; mesh bed leveling\n\nG1 Y-3.0 F1000.0 ; go outside print area\nG92 E0.0\nG1 X60.0 E9.0 F1000.0 ; intro line\nG1 X100.0 E12.5 F1000.0 ; intro line\nG92 E0.0\n\nG0 Z5; TJW: Raise nozzle\n\nM221 S{if layer_height<0.075}100{else}95{endif}\n\n; Don't change E values below. Excessive value can damage the printer.\n{if print_settings_id=~/.*(DETAIL @MK3|QUALITY @MK3).*/}M907 E430 ; set extruder motor current{endif}\n{if print_settings_id=~/.*(SPEED @MK3|DRAFT @MK3).*/}M907 E538 ; set extruder motor current{endif}
; support_material = 1
; support_material_angle = 0
; support_material_auto = 0
; support_material_bottom_contact_distance = 0
; support_material_bottom_interface_layers = 0
; support_material_buildplate_only = 0
; support_material_closing_radius = 2
; support_material_contact_distance = 0.2
; support_material_enforce_layers = 0
; support_material_extruder = 0
; support_material_extrusion_width = 0.35
; support_material_interface_contact_loops = 0
; support_material_interface_extruder = 0
; support_material_interface_layers = 2
; support_material_interface_pattern = rectilinear
; support_material_interface_spacing = 0.5
; support_material_interface_speed = 80%
; support_material_pattern = rectilinear
; support_material_spacing = 2
; support_material_speed = 50
; support_material_style = grid
; support_material_synchronize_layers = 0
; support_material_threshold = 50
; support_material_with_sheath = 0
; support_material_xy_spacing = 60%
; temperature = 250
; template_custom_gcode = ; Custom gcode to add magnets etc.\nM400 ; wait for movement buffer to empty\nG1 X10.000 Y200.000 E0 ; parking position\nM400 ; wait for movement buffer to empty\nM104 S0 ; Turn off extruder heater to limit oozing.\nM17 ; turn on steppers (prevent moving)\nM300 S2500 P1000 ; beep\nM117 PAUSED. CLICK OCTOPRINT/RESUME TO CONTINUE.\nM1 "PAUSED. CLICK TO CONTINUE" ; In reality Octoprint suppresses this command and then waits until the "resume" button is pressed.\nM104 S{temperature[0]} ; Set extruder temperature back to the current filament value.\nM140 S{bed_temperature[0]} ; Set bed temperature back to the current value.\nM105 ; return to current temp\nM109 ; Wait for extruder temperature\nM190 ; Wait for bed temperature\n; G28 X Y; home X and Y (just to be sure)\n
; thick_bridges = 0
; thin_walls = 0
; threads = 8
; thumbnails = 
; toolchange_gcode = 
; top_fill_pattern = monotonic
; top_infill_extrusion_width = 0.4
; top_solid_infill_speed = 40
; top_solid_layers = 6
; top_solid_min_thickness = 0.7
; travel_speed = 180
; travel_speed_z = 0
; use_firmware_retraction = 0
; use_relative_e_distances = 1
; use_volumetric_e = 0
; variable_layer_height = 1
; wipe = 1
; wipe_into_infill = 0
; wipe_into_objects = 0
; wipe_tower = 1
; wipe_tower_bridging = 10
; wipe_tower_brim_width = 2
; wipe_tower_no_sparse_layers = 0
; wipe_tower_rotation_angle = 0
; wipe_tower_width = 60
; wipe_tower_x = 170
; wipe_tower_y = 125
; wiping_volumes_extruders = 70,70
; wiping_volumes_matrix = 0
; xy_size_compensation = 0
; z_offset = 0
; prusaslicer_config = end
